Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Sender< T > Class Template Reference

The class implements the default sender for packages. More...

`#include <Sender.h>`

Inheritance diagram for Sender< T >:

[legend]
Collaboration diagram for Sender< T >:

[legend]
List of all members.

## Public Member Functions
| Sender (PlatformProcess *process, const char *senderName, bool blocking)
| The constructor.
## Protected Member Functions
virtual void | preparePackage ()
| The function prepares a package.
virtual void | setPackage (const ObserverID &receiver)
| The functions sets a package for a receiver.
virtual void | freePackage ()
| The function frees the package.
## Private Attributes
RCRegion * | package
| A pointer to the package.

## Detailed Description

### template<class T>
class Sender< T >

The class implements the default sender for packages.

Definition at line 287 of file Sender.h.

## Constructor & Destructor Documentation

template<class T>
Sender< T >::Sender | ( | PlatformProcess * | process,
|  | const char * | senderName,
|  | bool | blocking
| ) | `[inline]`

  | The constructor. Parameters:
  process | The process this sender is associated with.
  senderName | The Aperios connection name of the sender without the process name.
  blocking | Decides whether this sender blocks the execution of the next frame until all connected receivers have requested a new package.
Definition at line 332 of file Sender.h.

## Member Function Documentation

template<class T>
virtual void Sender< T >::preparePackage | ( |  | ) | `[inline, protected, virtual]`

| The function prepares a package. Reimplemented from SenderBase< T >. Definition at line 296 of file Sender.h.

template<class T>
virtual void Sender< T >::setPackage | ( | const ObserverID & | receiver | ) | `[inline, protected, virtual]`

  | The functions sets a package for a receiver. Parameters:
  receiver | The receive the package will be sent to.
Reimplemented from SenderBase< T >. Definition at line 311 of file Sender.h.

template<class T>
virtual void Sender< T >::freePackage | ( |  | ) | `[inline, protected, virtual]`

| The function frees the package. Reimplemented from SenderBase< T >. Definition at line 319 of file Sender.h.

## Member Data Documentation

template<class T>
RCRegion* Sender< T >::package`[private]`

| A pointer to the package. Definition at line 290 of file Sender.h.

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/Sender.h